BASENAME(1)

NAME
basename, dirname - return filename or directory portion of pathname

SYNOPSIS
basename string [suffix]
dirname string

DESCRIPTION
Basename deletes any prefix ending with the last slash ‘/’ character present in string, and a suffix, if given. The resulting filename is written to the standard output. If string ends in the slash character, ‘/’, or is the same as the suffix argument, a newline is output. A non-existent suffix is ignored.

Dirname deletes the filename portion, beginning with the last slash ‘/’ character to the end of string, and writes the result to the standard output.

EXAMPLES
The following line sets the shell variable FOO to /usr/bin.

    FOO=`dirname /usr/bin/trail`

Both the basename and dirname exit 0 on success, and >0 if an error occurs.

SEE ALSO
csh(1), sh(1)

STANDARDS
The basename and dirname functions are expected to be POSIX 1003.2 compatible.